Page MenuHomePhabricator

Error deleting file on Commons: The file is in an inconsistent state within the internal storage backends
Closed, ResolvedPublic

Description

When I try to delete File:Mariko Silver Portrait 2014 1.jpg on en.wikipedia, it fails with this error.

It might be an issue with how this specific file is stored; I was able to reproduce the bug by re-uploading the image under a dummy name (which also ended up being impossible to delete).

Event Timeline

Fastily created this task.Jul 13 2018, 4:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2018, 4:45 AM
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptJul 13 2018, 3:23 PM
Aklapper renamed this task from Error deleting file: The file "..." is in an inconsistent state within the internal storage backends to Error deleting file on COmmons: The file is in an inconsistent state within the internal storage backends.Jul 15 2018, 5:23 PM
Aklapper renamed this task from Error deleting file on COmmons: The file is in an inconsistent state within the internal storage backends to Error deleting file on Commons: The file is in an inconsistent state within the internal storage backends.
Fastily closed this task as Resolved.Jul 21 2018, 6:30 PM
Fastily claimed this task.

Seems to have fixed itself; I'm able to delete the file now.